# Select Unique ID

Every Orbs Lambda function has a unique ID that identifies it. You are free to choose any meaningful unique ID that is currently free. Your unique ID will be registered when your lambda is deployed for the first time.

## Allowed characters

Lowercase alpha-numeric characters and dashes.

The running example in these docs will be: `unique-example`

## Check for collisions

Your can make sure your unique ID is free by looking at the official [Orbs Lambda repo](https://github.com/orbs-network/orbs-lambda) on GitHub.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbs.network/v3/orbs-lambda/step-by-step-overview/select-unique-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
